Bug 24533 - тащит с собой секцию меню
: тащит с собой секцию меню
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/java-sun-desktop)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
: usability
:
: 23155
  Show dependency tree
 
Reported: 2010-11-10 18:23 by
Modified: 2011-02-15 16:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-10 18:23:59
Нужно удалить из пакета файл
/etc/xdg/menus/applications-merged/java.menu
, т.к. он портит внешний вид меню, да и не нужен, собственно.
------- Comment #1 From 2010-11-15 20:57:08 -------
Извиняюсь, не успеваю среагировать.
вернусь к нему немножко позже, когда нагрузка спадет.
------- Comment #2 From 2010-11-16 13:26:30 -------
Ок. Как только бранч 6.0 появляется, то сразу загорит.
------- Comment #4 From 2011-02-14 11:17:29 -------
ping
------- Comment #5 From 2011-02-15 15:24:59 -------
(В ответ на комментарий №4)
> ping
thanks for the ping. Починил меню, патч внизу, поехало в Сизиф.
под kde3/branch 5.1 выглядит вполне прилично.
Причина была в том, что ожидал меню Settings, а у нас Settingsmenu
-        <Name>Settings</Name>
+        <Name>Settingsmenu</Name>
полный патч внизу.
@@ -569,7 +569,7 @@ 
 <Menu>
     <Name>System</Name>
     <Menu>
-        <Name>Settings</Name>
+        <Name>Settingsmenu</Name>
         <Menu>
             <Name>Java</Name>
             <Directory>java.directory</Directory>
@@ -577,6 +577,9 @@ cat >
$RPM_BUILD_ROOT/etc/xdg/menus/applications-merged/java
                 <Category>X-ALTLinux-Java</Category>
             </Include>
         </Menu>
+       <Exclude>
+                <Category>X-ALTLinux-Java</Category>
+       </Exclude>
     </Menu>
 </Menu>
 EOF
------- Comment #6 From 2011-02-15 15:39:44 -------
(В ответ на комментарий №5)
> -        <Name>Settings</Name>
> +        <Name>Settingsmenu</Name>
но вообще то это все хаки. Под KDE я внещний вид меню починил, а под каким-то
BobruyskWM, может быть, наоборот, сломал, если там таки Settings.
Чтобы по настоящему закрыть подобный баг, в системе должно быть одно общее
меню, как в RFC: XDG menus
http://lists.altlinux.org/pipermail/devel/2009-July/173472.html

Сергей, я извиняюсь за задержку с багом, собирался с силами, чтобы
таки взаться за общее меню.
Сергей, вы тогда писали,
http://permalink.gmane.org/gmane.linux.altlinux.devel/74731
что 
> Самая большая проблема -- сделать набор иконок для .directory
> Как появиться такой человек -- можно будет начинать.
Это предложение еще в силе?
------- Comment #7 From 2011-02-15 15:41:06 -------
> Сергей, вы тогда писали,
> http://permalink.gmane.org/gmane.linux.altlinux.devel/74731
> что 
> > Самая большая проблема -- сделать набор иконок для .directory
> > Как появиться такой человек -- можно будет начинать.
> Это предложение еще в силе?
сорри, вот правильный линк на ваше письмо
http://permalink.gmane.org/gmane.linux.altlinux.devel/74782
------- Comment #8 From 2011-02-15 15:50:32 -------
(В ответ на комментарий №6)
> Под KDE я внещний вид меню починил, а под каким-то
> BobruyskWM, может быть, наоборот, сломал, если там таки Settings.
Ну, мне лень было править и проверять в gnome. Решил потом посмотреть.

P.S.
Я предлагал просто удалить файл. Это точно нигде не вылезет.
------- Comment #9 From 2011-02-15 15:54:42 -------
(В ответ на комментарий №6)
> > Самая большая проблема -- сделать набор иконок для .directory
> > Как появиться такой человек -- можно будет начинать.
> Это предложение еще в силе?
В силе, но этот человек должен быть надежен в плане сделать потом нужную иконку
по запросу.

Это не все проблемы. Переводы .directory на основные языки 2-м месте по
актуальности.

Лучше в рассылку и писать.
------- Comment #10 From 2011-02-15 15:59:38 -------
(В ответ на комментарий №8)
> Я предлагал просто удалить файл. Это точно нигде не вылезет.

Это легче всего :( Переехать на общее меню гораздо сложнее.
Раньше у нас было 3 человека, которые могли организовать переезд на общее
меню. Алексей Русаков, вы и я.
У меня все руки не доходили, а тем временем Алексей пропал.
остались вы и я, и вы тоже заняты. Значит, придется таки мне.
Но у меня проблема, что я напрямую не поддерживаю ни один ДЕ.
Могу ли я в работах по выделению общего меню рассчитывать на вашу
поддержку, как майнтайнера ключевого DE?
------- Comment #11 From 2011-02-15 16:00:37 -------
> Это не все проблемы. Переводы .directory на основные языки 2-м месте по
> актуальности.
> 
> Лучше в рассылку и писать.

ок, понял.